// java wrapper for vtkMath object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMath.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkMath_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkMath",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkMath_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkMath *op;
  const char    *temp20;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMath_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkMath *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMath_Pi_12(JNIEnv *env, jobject obj)
{
  vtkMath *op;
  float    temp20;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Pi();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMath_DegreesToRadians_13(JNIEnv *env, jobject obj)
{
  vtkMath *op;
  float    temp20;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DegreesToRadians();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMath_RadiansToDegrees_14(JNIEnv *env, jobject obj)
{
  vtkMath *op;
  float    temp20;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RadiansToDegrees();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMath_DoubleDegreesToRadians_15(JNIEnv *env, jobject obj)
{
  vtkMath *op;
  double   temp20;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DoubleDegreesToRadians();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMath_DoublePi_16(JNIEnv *env, jobject obj)
{
  vtkMath *op;
  double   temp20;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DoublePi();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMath_DoubleRadiansToDegrees_17(JNIEnv *env, jobject obj)
{
  vtkMath *op;
  double   temp20;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->DoubleRadiansToDegrees();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMath_Round_18(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkMath *op;
  float    temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Round(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMath_Floor_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkMath *op;
  double   temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Floor(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMath_Factorial_110(JNIEnv *env, jobject obj,jint id0)
{
  vtkMath *op;
  int      temp0;
  long long   temp20;
  temp0 = id0;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Factorial(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMath_Binomial_111(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkMath *op;
  int      temp0;
  int      temp1;
  long long   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Binomial(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMath_Dot_112(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkMath *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  float    temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Dot(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMath_Cross_113(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2)
{
  vtkMath *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  float  temp2[3];
  void *tempArray2;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  op->Cross(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMath_Norm_114(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkMath *op;
  float  temp0[3];
  void *tempArray0;
  float    temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Norm(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMath_Normalize_115(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkMath *op;
  float  temp0[3];
  void *tempArray0;
  float    temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Normalize(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMath_Perpendiculars_116(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2,jdouble id3)
{
  vtkMath *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  double   temp3;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];
  temp3 = id3;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  op->Perpendiculars(temp0,temp1,temp2,temp3);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMath_Distance2BetweenPoints_117(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkMath *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  float    temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Distance2BetweenPoints(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMath_Dot2D_118(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkMath *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  float    temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Dot2D(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMath_Norm2D_119(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkMath *op;
  float  temp0[3];
  void *tempArray0;
  float    temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Norm2D(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMath_Normalize2D_120(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkMath *op;
  float  temp0[3];
  void *tempArray0;
  float    temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Normalize2D(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMath_Determinant2x2_121(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkMath *op;
  float  temp0[2];
  void *tempArray0;
  float  temp1[2];
  void *tempArray1;
  float    temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Determinant2x2(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMath_Determinant2x2_122(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkMath *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Determinant2x2(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMath_Determinant3x3_123(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2)
{
  vtkMath *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  float  temp2[3];
  void *tempArray2;
  float    temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Determinant3x3(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMath_Determinant3x3_124(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3,jdouble id4,jdouble id5,jdouble id6,jdouble id7,jdouble id8)
{
  vtkMath *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  double   temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;
  temp4 = id4;
  temp5 = id5;
  temp6 = id6;
  temp7 = id7;
  temp8 = id8;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Determinant3x3(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMath_RandomSeed_125(JNIEnv *env, jobject obj,jint id0)
{
  vtkMath *op;
  long     temp0;
  temp0 = id0;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  op->RandomSeed(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMath_GetSeed_126(JNIEnv *env, jobject obj)
{
  vtkMath *op;
  long     temp20;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSeed();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMath_Random_127(JNIEnv *env, jobject obj)
{
  vtkMath *op;
  double   temp20;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Random();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMath_Random_128(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkMath *op;
  double   temp0;
  double   temp1;
  double   temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Random(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkMath_SolveCubic_129(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkMath *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double  *temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SolveCubic(temp0,temp1,temp2,temp3);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,5);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkMath_SolveQuadratic_130(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkMath *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SolveQuadratic(temp0,temp1,temp2);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,4);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkMath_SolveLinear_131(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkMath *op;
  double   temp0;
  double   temp1;
  double  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SolveLinear(temp0,temp1);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMath_RGBToHSV_132(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkMath *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  op->RGBToHSV(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkMath_RGBToHSV_133(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkMath *op;
  double temp0[3];
  void *tempArray0;
  double  *temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RGBToHSV(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkMath_RGBToHSV_134(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkMath *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RGBToHSV(temp0,temp1,temp2);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMath_HSVToRGB_135(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkMath *op;
  float  temp0[3];
  void *tempArray0;
  float  temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  op->HSVToRGB(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkMath_HSVToRGB_136(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkMath *op;
  double temp0[3];
  void *tempArray0;
  double  *temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HSVToRGB(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkMath_HSVToRGB_137(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2)
{
  vtkMath *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double  *temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->HSVToRGB(temp0,temp1,temp2);
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,3);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMath_LabToXYZ_138(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkMath *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  op->LabToXYZ(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMath_XYZToLab_139(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkMath *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  op->XYZToLab(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMath_XYZToRGB_140(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkMath *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  op->XYZToRGB(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMath_RGBToXYZ_141(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkMath *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  op->RGBToXYZ(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMath_RGBToLab_142(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkMath *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  op->RGBToLab(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMath_LabToRGB_143(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1)
{
  vtkMath *op;
  double temp0[3];
  void *tempArray0;
  double temp1[3];
  void *tempArray1;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  op->LabToRGB(temp0,temp1);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMath_UninitializeBounds_144(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkMath *op;
  double temp0[6];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  op->UninitializeBounds(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMath_AreBoundsInitialized_145(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkMath *op;
  double temp0[6];
  void *tempArray0;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AreBoundsInitialized(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMath_GetScalarTypeFittingRange_146(JNIEnv *env, jobject obj,jdouble id0,jdouble id1,jdouble id2,jdouble id3)
{
  vtkMath *op;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = id2;
  temp3 = id3;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalarTypeFittingRange(temp0,temp1,temp2,temp3);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMath_GetAdjustedScalarRange_147(JNIEnv *env, jobject obj,jobject id0,jint id1,jdoubleArray id2)
{
  vtkMath *op;
  vtkDataArray  *temp0;
  int      temp1;
  double temp2[2];
  void *tempArray2;
  int      temp20;
  temp0 = (vtkDataArray *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAdjustedScalarRange(temp0,temp1,temp2);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMath_ExtentIsWithinOtherExtent_148(JNIEnv *env, jobject obj,jintArray id0,jintArray id1)
{
  vtkMath *op;
  int    temp0[6];
  void *tempArray0;
  int    temp1[6];
  void *tempArray1;
  int      temp20;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];
  temp0[2] = ((jint *)tempArray0)[2];
  temp0[3] = ((jint *)tempArray0)[3];
  temp0[4] = ((jint *)tempArray0)[4];
  temp0[5] = ((jint *)tempArray0)[5];
  tempArray1 = (void *)(env->GetIntArrayElements(id1,NULL));
  temp1[0] = ((jint *)tempArray1)[0];
  temp1[1] = ((jint *)tempArray1)[1];
  temp1[2] = ((jint *)tempArray1)[2];
  temp1[3] = ((jint *)tempArray1)[3];
  temp1[4] = ((jint *)tempArray1)[4];
  temp1[5] = ((jint *)tempArray1)[5];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ExtentIsWithinOtherExtent(temp0,temp1);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  ((jint *)tempArray0)[2] = temp0[2];
  ((jint *)tempArray0)[3] = temp0[3];
  ((jint *)tempArray0)[4] = temp0[4];
  ((jint *)tempArray0)[5] = temp0[5];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
  ((jint *)tempArray1)[0] = temp1[0];
  ((jint *)tempArray1)[1] = temp1[1];
  ((jint *)tempArray1)[2] = temp1[2];
  ((jint *)tempArray1)[3] = temp1[3];
  ((jint *)tempArray1)[4] = temp1[4];
  ((jint *)tempArray1)[5] = temp1[5];
  env->ReleaseIntArrayElements(id1,(jint *)tempArray1,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMath_BoundsIsWithinOtherBounds_149(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2)
{
  vtkMath *op;
  double temp0[6];
  void *tempArray0;
  double temp1[6];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  temp0[3] = ((jdouble *)tempArray0)[3];
  temp0[4] = ((jdouble *)tempArray0)[4];
  temp0[5] = ((jdouble *)tempArray0)[5];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->BoundsIsWithinOtherBounds(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  ((jdouble *)tempArray0)[3] = temp0[3];
  ((jdouble *)tempArray0)[4] = temp0[4];
  ((jdouble *)tempArray0)[5] = temp0[5];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMath_PointIsWithinBounds_150(JNIEnv *env, jobject obj,jdoubleArray id0,jdoubleArray id1,jdoubleArray id2)
{
  vtkMath *op;
  double temp0[3];
  void *tempArray0;
  double temp1[6];
  void *tempArray1;
  double temp2[3];
  void *tempArray2;
  int      temp20;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];
  temp0[2] = ((jdouble *)tempArray0)[2];
  tempArray1 = (void *)(env->GetDoubleArrayElements(id1,NULL));
  temp1[0] = ((jdouble *)tempArray1)[0];
  temp1[1] = ((jdouble *)tempArray1)[1];
  temp1[2] = ((jdouble *)tempArray1)[2];
  temp1[3] = ((jdouble *)tempArray1)[3];
  temp1[4] = ((jdouble *)tempArray1)[4];
  temp1[5] = ((jdouble *)tempArray1)[5];
  tempArray2 = (void *)(env->GetDoubleArrayElements(id2,NULL));
  temp2[0] = ((jdouble *)tempArray2)[0];
  temp2[1] = ((jdouble *)tempArray2)[1];
  temp2[2] = ((jdouble *)tempArray2)[2];

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->PointIsWithinBounds(temp0,temp1,temp2);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  ((jdouble *)tempArray0)[2] = temp0[2];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
  ((jdouble *)tempArray1)[0] = temp1[0];
  ((jdouble *)tempArray1)[1] = temp1[1];
  ((jdouble *)tempArray1)[2] = temp1[2];
  ((jdouble *)tempArray1)[3] = temp1[3];
  ((jdouble *)tempArray1)[4] = temp1[4];
  ((jdouble *)tempArray1)[5] = temp1[5];
  env->ReleaseDoubleArrayElements(id1,(jdouble *)tempArray1,0);
  ((jdouble *)tempArray2)[0] = temp2[0];
  ((jdouble *)tempArray2)[1] = temp2[1];
  ((jdouble *)tempArray2)[2] = temp2[2];
  env->ReleaseDoubleArrayElements(id2,(jdouble *)tempArray2,0);
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMath_Inf_151(JNIEnv *env, jobject obj)
{
  vtkMath *op;
  double   temp20;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Inf();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMath_NegInf_152(JNIEnv *env, jobject obj)
{
  vtkMath *op;
  double   temp20;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->NegInf();
  return temp20;
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkMath_Nan_153(JNIEnv *env, jobject obj)
{
  vtkMath *op;
  double   temp20;

  op = (vtkMath *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->Nan();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMath_VTKInit(JNIEnv *, jobject)
{
  vtkMath *aNewOne = vtkMath::New();
  return (jlong)(size_t)(void*)aNewOne;
}
