// java wrapper for vtkConvertSelection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkConvertSelection.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkSelectionAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkConvertSelection_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkConvertSelection",dType)) { return me; }
  if ((res= vtkSelectionAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkConvertSelection_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkConvertSelection *op;
  const char    *temp20;

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkConvertSelection_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkConvertSelection *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvertSelection_SetDataObjectConnection_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkConvertSelection *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDataObjectConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvertSelection_SetOutputType_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkConvertSelection *op;
  int      temp0;
  temp0 = id0;

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->SetOutputType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkConvertSelection_GetOutputType_14(JNIEnv *env, jobject obj)
{
  vtkConvertSelection *op;
  int      temp20;

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetOutputType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvertSelection_SetArrayName_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkConvertSelection *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->SetArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkConvertSelection_GetArrayName_16(JNIEnv *env, jobject obj)
{
  vtkConvertSelection *op;
  const char    *temp20;

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkConvertSelection_SetArrayNames_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkConvertSelection *op;
  vtkStringArray  *temp0;
  temp0 = (vtkStringArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  op->SetArrayNames(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkConvertSelection_GetArrayNames_18(JNIEnv *env, jobject obj)
{
  vtkConvertSelection *op;
  vtkStringArray  *temp20;

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetArrayNames();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkConvertSelection_ToIndexSelection_19(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkConvertSelection *op;
  vtkSelection  *temp0;
  vtkDataObject  *temp1;
  vtkSelection  *temp20;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ToIndexSelection(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkConvertSelection_ToGlobalIdSelection_110(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkConvertSelection *op;
  vtkSelection  *temp0;
  vtkDataObject  *temp1;
  vtkSelection  *temp20;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ToGlobalIdSelection(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkConvertSelection_ToPedigreeIdSelection_111(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkConvertSelection *op;
  vtkSelection  *temp0;
  vtkDataObject  *temp1;
  vtkSelection  *temp20;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ToPedigreeIdSelection(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkConvertSelection_ToValueSelection_112(JNIEnv *env, jobject obj,jobject id0,jobject id1,jstring id2)
{
  vtkConvertSelection *op;
  vtkSelection  *temp0;
  vtkDataObject  *temp1;
  char    *temp2;
  vtkSelection  *temp20;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = vtkJavaUTFToChar(env,id2);

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ToValueSelection(temp0,temp1,temp2);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkConvertSelection_ToValueSelection_113(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2)
{
  vtkConvertSelection *op;
  vtkSelection  *temp0;
  vtkDataObject  *temp1;
  vtkStringArray  *temp2;
  vtkSelection  *temp20;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkStringArray *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ToValueSelection(temp0,temp1,temp2);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkConvertSelection_ToSelectionType_114(JNIEnv *env, jobject obj,jobject id0,jobject id1,jint id2,jobject id3)
{
  vtkConvertSelection *op;
  vtkSelection  *temp0;
  vtkDataObject  *temp1;
  int      temp2;
  vtkStringArray  *temp3;
  vtkSelection  *temp20;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = id2;
  temp3 = (vtkStringArray *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkConvertSelection *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->ToSelectionType(temp0,temp1,temp2,temp3);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkConvertSelection_VTKInit(JNIEnv *, jobject)
{
  vtkConvertSelection *aNewOne = vtkConvertSelection::New();
  return (jlong)(size_t)(void*)aNewOne;
}
