// java wrapper for vtkTreeMapViewer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeMapViewer.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkTreeMapViewer_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkTreeMapViewer",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeMapViewer_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkTreeMapViewer *op;
  const char    *temp20;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeMapViewer_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeMapViewer *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapViewer_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTreeMapViewer *op;
  vtkTree  *temp0;
  temp0 = (vtkTree *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapViewer_SetRenderWindow_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkTreeMapViewer *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRenderWindow(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTreeMapViewer_GetRenderWindow_14(JNIEnv *env, jobject obj)
{
  vtkTreeMapViewer *op;
  vtkRenderWindow  *temp20;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRenderWindow();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapViewer_SetAggregationFieldName_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeMapViewer *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAggregationFieldName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeMapViewer_GetAggregationFieldName_16(JNIEnv *env, jobject obj)
{
  vtkTreeMapViewer *op;
  char    *temp20;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAggregationFieldName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkTreeMapViewer_GetInteractorStyle_17(JNIEnv *env, jobject obj)
{
  vtkTreeMapViewer *op;
  vtkInteractorStyleTreeMapHover  *temp20;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInteractorStyle();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapViewer_SetLayoutStrategy_18(JNIEnv *env, jobject obj,jint id0)
{
  vtkTreeMapViewer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapViewer_SetLayoutStrategyToBox_19(JNIEnv *env, jobject obj)
{
  vtkTreeMapViewer *op;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToBox();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapViewer_SetLayoutStrategyToSliceAndDice_110(JNIEnv *env, jobject obj)
{
  vtkTreeMapViewer *op;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToSliceAndDice();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapViewer_SetLayoutStrategyToSquarify_111(JNIEnv *env, jobject obj)
{
  vtkTreeMapViewer *op;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToSquarify();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeMapViewer_GetLayoutStrategy_112(JNIEnv *env, jobject obj)
{
  vtkTreeMapViewer *op;
  int      temp20;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLayoutStrategy();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapViewer_SetBorderPercentage_113(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkTreeMapViewer *op;
  double   temp0;
  temp0 = id0;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBorderPercentage(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkTreeMapViewer_GetBorderPercentage_114(JNIEnv *env, jobject obj)
{
  vtkTreeMapViewer *op;
  double   temp20;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetBorderPercentage();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapViewer_SetLayoutStrategy_115(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeMapViewer *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategy(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeMapViewer_GetLayoutStrategyName_116(JNIEnv *env, jobject obj,jint id0)
{
  vtkTreeMapViewer *op;
  int      temp0;
  const char    *temp20;
  temp0 = id0;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLayoutStrategyName(temp0);
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapViewer_SetColorFieldName_117(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeMapViewer *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorFieldName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeMapViewer_GetColorFieldName_118(JNIEnv *env, jobject obj)
{
  vtkTreeMapViewer *op;
  char    *temp20;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorFieldName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapViewer_SetLabelFieldName_119(JNIEnv *env, jobject obj,jstring id0)
{
  vtkTreeMapViewer *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelFieldName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkTreeMapViewer_GetLabelFieldName_120(JNIEnv *env, jobject obj)
{
  vtkTreeMapViewer *op;
  char    *temp20;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelFieldName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapViewer_SetFontSizeRange_121(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkTreeMapViewer *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetFontSizeRange(temp0,temp1);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkTreeMapViewer_GetLogScale_122(JNIEnv *env, jobject obj)
{
  vtkTreeMapViewer *op;
  bool   temp20;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLogScale();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapViewer_SetLogScale_123(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkTreeMapViewer *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLogScale(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapViewer_HighLightItem_124(JNIEnv *env, jobject obj,jint id0)
{
  vtkTreeMapViewer *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->HighLightItem(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapViewer_SetLabelLevelRange_125(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkTreeMapViewer *op;
  int      temp0;
  int      temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelLevelRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapViewer_GetLabelLevelRange_126(JNIEnv *env, jobject obj,jintArray id0)
{
  vtkTreeMapViewer *op;
  int    temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetIntArrayElements(id0,NULL));
  temp0[0] = ((jint *)tempArray0)[0];
  temp0[1] = ((jint *)tempArray0)[1];

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->GetLabelLevelRange(temp0);
  ((jint *)tempArray0)[0] = temp0[0];
  ((jint *)tempArray0)[1] = temp0[1];
  env->ReleaseIntArrayElements(id0,(jint *)tempArray0,0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapViewer_SetDynamicLabelLevel_127(JNIEnv *env, jobject obj,jint id0)
{
  vtkTreeMapViewer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDynamicLabelLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeMapViewer_GetDynamicLabelLevel_128(JNIEnv *env, jobject obj)
{
  vtkTreeMapViewer *op;
  int      temp20;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDynamicLabelLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapViewer_SetChildLabelMotion_129(JNIEnv *env, jobject obj,jint id0)
{
  vtkTreeMapViewer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetChildLabelMotion(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeMapViewer_GetChildLabelMotion_130(JNIEnv *env, jobject obj)
{
  vtkTreeMapViewer *op;
  int      temp20;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetChildLabelMotion();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkTreeMapViewer_SetLabelClipMode_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkTreeMapViewer *op;
  int      temp0;
  temp0 = id0;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLabelClipMode(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkTreeMapViewer_GetLabelClipMode_132(JNIEnv *env, jobject obj)
{
  vtkTreeMapViewer *op;
  int      temp20;

  op = (vtkTreeMapViewer *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLabelClipMode();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkTreeMapViewer_VTKInit(JNIEnv *, jobject)
{
  vtkTreeMapViewer *aNewOne = vtkTreeMapViewer::New();
  return (jlong)(size_t)(void*)aNewOne;
}
